#
# spec file for package fdkaac
#
# Copyright (c) 2018 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fdkaac
Version:        1.0.0
Release:        pm151.1.1
License:        Zlib
Summary:        Command line frontend for libfdk-aac encoder
Url:            https://github.com/nu774/fdkaac
Group:          Productivity/Multimedia/Other
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fdk-aac)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fdkaac reads linear PCM audio in either WAV, raw PCM, or CAF format, and encodes
it into either M4A / AAC file.

If the input file is "-", data is read from stdin. Likewise, if the output file
is "-", data is written to stdout if one of streamable AAC transport formats are
selected by -f.

When CAF input and M4A output is used, tags in CAF file are copied into the
resulting M4A.

%prep
%autosetup

%build
autoreconf -ivf
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%doc ChangeLog README
%license COPYING
%{_bindir}/fdkaac
%{_mandir}/man1/fdkaac.1%{?ext_man}

%changelog
* Wed Feb  6 2019 zaitor@opensuse.org
- Update to version 1.0.0:
  * Try to link with libcharset when locale_charset() is not
    present in libiconv.
  * Fix: -L option was not working (resulted in segfault).
  * Remove zombies from fdk-aac.vcxproj.filters.
  * Use different IntDir for fdk-aac build.
  * FDKv2 API change: encoderDelay -> nDelay/nDelayCore.
  * Fix LD/ELD issue: priming samples are too short to be
    discarded.
* Wed Dec 12 2018 malcolmlewis@opensuse.org
- Initial build to version 0.6.3.
